SingleSignOnSessionKey (Apache Tomcat 10.0.27 API Documentation)

Package org.apache.catalina.authenticator

## Class SingleSignOnSessionKey

- java.lang.Object
- - org.apache.catalina.authenticator.SingleSignOnSessionKey

- All Implemented Interfaces:
    `java.io.Serializable`

      public class SingleSignOnSessionKey
      extends java.lang.Object
      implements java.io.Serializable

  Key used by SSO to identify a session. This key is used rather than the actual session to facilitate the replication of the SSO information across a cluster where replicating the entire session would generate significant, unnecessary overhead.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SingleSignOnSessionKey​(Session session)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.lang.String` | `getContextName()` |
    `java.lang.String` | `getHostName()` |
    `java.lang.String` | `getSessionId()` |
    `int` | `hashCode()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SingleSignOnSessionKey

          public SingleSignOnSessionKey​(Session session)

  - ### Method Detail

    - #### getSessionId

          public java.lang.String getSessionId()

    - #### getContextName

          public java.lang.String getContextName()

    - #### getHostName

          public java.lang.String getHostName()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`